Method: projects.locations.endpoints.list

Lists Endpoints in a given project and location.

HTTP request

GET https://agentregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/endpoints

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location to list endpoints in. Expected format: projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. A query string used to filter the list of endpoints returned. The filter expression must follow AIP-160 syntax.

Filtering is supported on the name, displayName, description, version, and interfaces fields.

Some examples:

  • name = "projects/p1/locations/l1/endpoints/e1"
  • displayName = "my-endpoint"
  • description = "my-endpoint-description"
  • version = "v1"
  • interfaces.transport = "HTTP_JSON"

Request body

The request body must be empty.

Response body

Message for response to listing Endpoints

If successful, the response body contains data with the following structure:

JSON representation
{
  "endpoints": [
    {
      object (Endpoint)
    }
  ],
  "nextPageToken": string
}
Fields
endpoints[]

object (Endpoint)

The list of Endpoint resources matching the parent and filter criteria in the request. Each Endpoint resource follows the format: projects/{project}/locations/{location}/endpoints/{endpoint}.

nextPageToken

string

A token identifying a page of results the server should return. Used in pageToken.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/agentregistry.read-write
  • https://www.googleapis.com/auth/agentregistry.read-only

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • agentregistry.endpoints.list

For more information, see the IAM documentation.